- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Private Member Functions | List of all members
StarObjectInternal::State Struct Reference

the state of a StarObject More...

## Public Member Functions
| State ()
| constructor More...
| State (State const &orig)
| copy constructor More...

## Public Attributes
std::vector< shared_ptr< StarItemPool > > | m_poolList
| the list of pool More...
shared_ptr< StarAttributeManager > | m_attributeManager
| the attribute manager More...
shared_ptr< StarFormatManager > | m_formatManager
| the format manager More...

## Private Member Functions
State | operator= (State const &orig)

## Detailed Description

the state of a StarObject

## Constructor & Destructor Documentation

StarObjectInternal::State::State | ( |  | ) |
| inline

constructor

StarObjectInternal::State::State | ( | State const & | orig | ) |
| inline

copy constructor

## Member Function Documentation

State StarObjectInternal::State::operator= | ( | State const & | orig | ) |
| private

## Member Data Documentation

shared_ptr<StarAttributeManager> StarObjectInternal::State::m_attributeManager

the attribute manager

shared_ptr<StarFormatManager> StarObjectInternal::State::m_formatManager

the format manager

std::vector<shared_ptr<StarItemPool> > StarObjectInternal::State::m_poolList

the list of pool

The documentation for this struct was generated from the following file:

- StarObject.cxx